curl --request POST \
--url https://api.devhelm.io/api/v1/status-pages/{id}/incidents/{incidentId}/updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "INVESTIGATING",
"body": "<string>",
"notifySubscribers": true,
"affectedComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPERATIONAL"
}
]
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "INVESTIGATING",
"impact": "NONE",
"scheduled": true,
"autoResolve": true,
"startedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledUntil": "2023-11-07T05:31:56Z",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"postmortemBody": "<string>",
"postmortemUrl": "<string>",
"affectedComponents": [
{
"statusPageComponentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentStatus": "OPERATIONAL",
"componentName": "<string>"
}
],
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INVESTIGATING",
"body": "<string>",
"createdBy": "USER",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123
}
]
}
}curl --request POST \
--url https://api.devhelm.io/api/v1/status-pages/{id}/incidents/{incidentId}/updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "INVESTIGATING",
"body": "<string>",
"notifySubscribers": true,
"affectedComponents": [
{
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPERATIONAL"
}
]
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "INVESTIGATING",
"impact": "NONE",
"scheduled": true,
"autoResolve": true,
"startedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledUntil": "2023-11-07T05:31:56Z",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"postmortemBody": "<string>",
"postmortemUrl": "<string>",
"affectedComponents": [
{
"statusPageComponentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentStatus": "OPERATIONAL",
"componentName": "<string>"
}
],
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "INVESTIGATING",
"body": "<string>",
"createdBy": "USER",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123
}
]
}
}API key (dh_live_...) or Auth0 JWT token
Incident status at this point in the timeline
INVESTIGATING, IDENTIFIED, MONITORING, RESOLVED Update body in markdown
1Whether to email confirmed subscribers about this update (default: true)
Updated affected components; null preserves current
Show child attributes
Created
Show child attributes